import 'package:equatable/equatable.dart';

abstract class CeilingSensorEvent extends Equatable {
  const CeilingSensorEvent();

  @override
  List<Object> get props => [];
}

class LoadingEvent extends CeilingSensorEvent {}

class InitialEvent extends CeilingSensorEvent {}

class CeilingSensorUpdated extends CeilingSensorEvent {}

class ChangeValueEvent extends CeilingSensorEvent {
  final dynamic value;
  final String code;
  final String type;

  const ChangeValueEvent({required this.value, required this.code,required this.type});

  @override
  List<Object> get props => [value, code,type];
}

class ReportLogsInitial extends CeilingSensorEvent {
  const ReportLogsInitial();
}
