import 'package:flutter/material.dart';
import 'package:syncrow_app/utils/context_extension.dart';

import 'custom_text_widget.dart';

class TitleMedium extends StatelessWidget {
  const TitleMedium({
    required this.text,
    super.key,
    this.maxLines,
    this.textAlign,
    this.style,
  });

  final String text;
  final int? maxLines;
  final TextAlign? textAlign;

  final TextStyle? style;

  @override
  Widget build(BuildContext context) => CustomText(
        text,
        style: style ?? context.titleMedium,
        maxLines: maxLines,
        textAlign: textAlign,
      );
}
