class TemporaryPassword {
  final int effectiveTime;
  final int id;
  final int invalidTime;
  final String name;
  final int phase;
  final String phone;
  final int sn;
  final String timeZone;
  final int type;

  TemporaryPassword({
    required this.effectiveTime,
    required this.id,
    required this.invalidTime,
    required this.name,
    required this.phase,
    required this.phone,
    required this.sn,
    required this.timeZone,
    required this.type,
  });

  factory TemporaryPassword.fromJson(Map<String, dynamic> json) {
    return TemporaryPassword(
      effectiveTime: json['effectiveTime'],
      id: json['id'],
      invalidTime: json['invalidTime'],
      name: json['name'],
      phase: json['phase'],
      phone: json['phone'] ?? '',
      sn: json['sn'],
      timeZone: json['timeZone'] ?? '',
      type: json['type'],
    );
  }
}
