part of 'smart_scene_select_dart_bloc.dart';

sealed class SmartSceneSelectState extends Equatable {
  const SmartSceneSelectState();

  @override
  List<Object> get props => [];
}

final class SmartSceneSelectInitial extends SmartSceneSelectState {}

class SmartSceneSelected extends SmartSceneSelectState {
  final SmartSceneEnable smartSceneEnable;

  const SmartSceneSelected({required this.smartSceneEnable});

  @override
  List<Object> get props => [smartSceneEnable];
}
