import 'package:flutter/material.dart';
import 'package:syncrow_app/features/shared_widgets/text_widgets/custom_text_widget.dart';
import 'package:syncrow_app/utils/context_extension.dart';

class BodySmall extends StatelessWidget {
  const BodySmall({
    required this.text,
    super.key,
    this.style,
    this.fontColor,
    this.fontSize,
    this.fontWeight,
    this.textAlign,
    this.textOverflow,
  });

  final String text;
  final TextStyle? style;

  final Color? fontColor;

  final double? fontSize;
  final FontWeight? fontWeight;

  final TextAlign? textAlign;
  final TextOverflow? textOverflow;

  @override
  Widget build(BuildContext context) => CustomText(
        text,
        style: style ?? context.bodySmall,
        fontColor: fontColor,
        fontSize: fontSize,
        fontWeight: fontWeight,
        textAlign: textAlign,
        textOverflow: textOverflow,
      );
}
