import 'dart:ui';

/// # To add custom fonts to your application, add a fonts section here,
/// # in this "flutter" section. Each entry in this list should have a
/// # "family" key with the font family name, and a "fonts" key with a
/// # list giving the asset and other descriptors for the font. For
/// # example:
///
/// fonts:
/// - family:Montserrat
///   fonts:
///     - asset: assets/ fonts/Montserrat-Botd. ttf
///       weight: 700
///     - asset: assets/ fonts/Montserrat-SemiB01d. ttf
///       weight: 600

abstract class FontsManager {
  static const FontWeight light = FontWeight.w300;
  static const FontWeight regular = FontWeight.w400;
  static const FontWeight medium = FontWeight.w500;
  static const FontWeight semiBold = FontWeight.w600;
  static const FontWeight bold = FontWeight.w700;
  static const FontWeight extraBold = FontWeight.w800;
  static const FontWeight black = FontWeight.w900;

  static const String fontFamily = 'Aftika';
}

class FontSize {
  static const double s12 = 12;
  static const double s10 = 10;
  static const double s14 = 14;
  static const double s16 = 16;
  static const double s18 = 18;
  static const double s20 = 20;
  static const double s21 = 21;
  static const double s22 = 22;
  static const double s24 = 24;
  static const double s25 = 25;
  static const double s26 = 26;
  static const double s28 = 28;
  static const double s30 = 30;
  static const double s35 = 35;
  static const double s48 = 48;
}
